# EventBuffer::add

(PECL event >= 1.2.6-beta)

EventBuffer::add — Append data to the end of an event buffer

### Description

public EventBuffer::add ( string `$data` ) : bool

Append data to the end of an event buffer.

### Parameters

`data`

  String to be appended to the end of the buffer.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### See Also

- EventBuffer::addBuffer() - Move all data from a buffer provided to the current instance of EventBuffer